// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded startup scripts)')

StartupEvents.registry('item', event => {
    // The texture for this item has to be placed in kubejs/assets/kubejs/textures/item/test_item.png
    // If you want a custom item model, you can create one in Blockbench and put it in kubejs/assets/kubejs/models/item/test_item.json
    event.create('shiny_dust').displayName('§eShiny Dust').tooltip('§eRight Click: Turns the first Pokemon in your party shiny').glow(true),
    event.create('gold_bottle_cap').displayName('§6Gold Bottle Cap').tooltip('§eRight Click: Maxes all IVs of the first Pokemon in your party'),
    event.create('red_bottle_cap').displayName('§cRed Bottle Cap').tooltip('§eRight Click: Maxes Attack IVs of the first Pokemon in your party'),
    event.create('blue_bottle_cap').displayName('§9Blue Bottle Cap').tooltip('§eRight Click: Maxes Defense IVs of the first Pokemon in your party'),
    event.create('cyan_bottle_cap').displayName('§bCyan Bottle Cap').tooltip('§eRight Click: Maxes Special Attack IVs of the first Pokemon in your party'),
    event.create('pink_bottle_cap').displayName('§dPink Bottle Cap').tooltip('§eRight Click: Maxes Special Defense IVs of the first Pokemon in your party'),
    event.create('green_bottle_cap').displayName('§2Green Bottle Cap').tooltip('§eRight Click: Maxes Speed IVs of the first Pokemon in your party'),
    event.create('white_bottle_cap').displayName('White Bottle Cap').tooltip('§eRight Click: Maxes HP IVs of the first Pokemon in your party'),
    event.create('perma_weak').displayName('Perma-Weak').tooltip('§eRight Click: Sets Attack IVs of the first Pokemon in your party to 0. Perfect for countering Foul Play!'),
    event.create('perma_slow').displayName('Perma-Slow').tooltip('§eRight Click: Sets Speed IVs of the first Pokemon in your party to 0. Perfect for Trick Room!'),
    event.create('hp_max').displayName('HP Max').tooltip('§eRight Click: Maxes HP EVs of the first Pokemon in your party §c(Will not work if the Pokemon cannot fit all 252 EVs)').glow(true),
    event.create('protein_max').displayName('Protein Max').tooltip('§eRight Click: Maxes Attack EVs of the first Pokemon in your party §c(Will not work if the Pokemon cannot fit all 252 EVs)').glow(true),
    event.create('iron_max').displayName('Iron Max').tooltip('§eRight Click: Maxes Defense EVs of the first Pokemon in your party §c(Will not work if the Pokemon cannot fit all 252 EVs)').glow(true),
    event.create('calcium_max').displayName('Calcium Max').tooltip('§eRight Click: Maxes Special Attack EVs of the first Pokemon in your party §c(Will not work if the Pokemon cannot fit all 252 EVs)').glow(true),
    event.create('zinc_max').displayName('Zinc Max').tooltip('§eRight Click: Maxes Special Defense EVs of the first Pokemon in your party §c(Will not work if the Pokemon cannot fit all 252 EVs)').glow(true),
    event.create('carbos_max').displayName('Carbos Max').tooltip('§eRight Click: Maxes Speed EVs of the first Pokemon in your party §c(Will not work if the Pokemon cannot fit all 252 EVs)').glow(true),
    event.create('ev_reset').displayName('EV Reset').tooltip('§eRight Click: Sets all EVs of the first Pokemon in your party to 0'),
    event.create('hp_reset').displayName('HP Reset').tooltip('§eRight Click: Sets HP EVs of the first Pokemon in your party to 0'),
    event.create('attack_reset').displayName('Attack Reset').tooltip('§eRight Click: Sets Attack EVs of the first Pokemon in your party to 0'),
    event.create('defense_reset').displayName('Defense Reset').tooltip('§eRight Click: Sets Defense EVs of the first Pokemon in your party to 0'),
    event.create('special_attack_reset').displayName('Special Attack Reset').tooltip('§eRight Click: Sets Special Attack EVs of the first Pokemon in your party to 0'),
    event.create('special_defense_reset').displayName('Special Defense Reset').tooltip('§eRight Click: Sets Special Defense EVs of the first Pokemon in your party to 0'),
    event.create('speed_reset').displayName('Speed Reset').tooltip('§eRight Click: Sets Speed EVs of the first Pokemon in your party to 0'),
    event.create('portable_healer').displayName('Portable Healer').tooltip('§eRight Click: Heals all your Pokemon. Unlimited uses!').unstackable(),
    event.create('portable_pc').displayName('Portable PC').tooltip('§eRight Click: Opens the PC. Unlimited uses!').unstackable()
  })